function [ zvuk ] = energie( signal )
%% Výpočet středníí energie signálu 
%% a odstranění úseků, které nevyhovují
%
%vstup signál
%zvukový signál
%
%výstup zvuk
%zvukový signál upraven
%

%% načtení velikosti úseku a urovně odstranění

if exist('parametr.mat') == 2
    load('parametr.mat');
    usek = dataParam.dataUsek;
    uroven = dataParam.dataUroven;
else
    usek = 80;
    uroven = 0.0001;
end

%% výpočet

delka = length(signal);
pozice = 1;
pozice_zv = 1;
str_energie = zeros(ceil(delka/usek) ,1);
zvuk = zeros(delka,1);

while(pozice*usek < delka)
    
   str_energie(pozice) = (1/usek)*(sum(signal(((pozice-1)*usek)+1:pozice*usek)).^2);
   
   if (str_energie(pozice) > uroven)
       
        
       zvuk (((pozice_zv-1)*usek)+1:pozice_zv*usek) = signal(((pozice-1)*usek)+1:pozice*usek);
       pozice_zv = pozice_zv +1;
       
   end;
     
   pozice = pozice +1;
end

end

